Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.metaclass
[Java] Class ConcurrentReaderHashMap.HashIterator

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.ConcurrentReaderHashMap.HashIterator

All Implemented Interfaces:
  java.util.Iterator, java.util.Enumeration

    protected class ConcurrentReaderHashMap.HashIterator

Field Summary
`protected java.lang.Object` | `currentKey`
`protected java.lang.Object` | `currentValue`
`protected Entry` | `entry`
`protected int` | `index`
`protected Entry` | `lastReturned`
`protected Entry[]` | `tab`

Constructor Summary
`protected ConcurrentReaderHashMap.HashIterator()`

Method Summary
`boolean` | `hasMoreElements()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`java.lang.Object` | `nextElement()`
`void` | `remove()`
`protected java.lang.Object` | `returnValueOfNext()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### currentKey

    protected java.lang.Object currentKey

### currentValue

    protected java.lang.Object currentValue

### entry

    protected Entry entry

### index

    protected int index

### lastReturned

    protected Entry lastReturned

### tab

    protected final Entry[] tab

Constructor Detail

### ConcurrentReaderHashMap.HashIterator

    protected ConcurrentReaderHashMap.HashIterator()

Method Detail

### hasMoreElements

    public boolean hasMoreElements()

### hasNext

    public boolean hasNext()

### next

    public java.lang.Object next()

### nextElement

    public java.lang.Object nextElement()

### remove

    public void remove()

### returnValueOfNext

    protected java.lang.Object returnValueOfNext()

Groovy Documentation